EMF::CHARSTR(3)

NAME
EMF::CHARSTR - Represent an ASCII character string in a simple way.

SYNOPSIS

#include <libemf.h>

  Public Member Functions

CHARSTR (CHAR *const string, const int length)

  Data Fields

CHAR *const string_
Array of single byte characters.
const int length_
Number of single byte characters in array.

Detailed Description

Represent an ASCII character string in a simple way.

ASCII strings don't have to be byte swapped, but this structure allows us to provide a uniform stream-like interface for writing out all the components of metafiles.

Constructor & Destructor Documentation

  EMF::CHARSTR::CHARSTR (CHAR *const string, const int length) [inline]
Simple constructor.

Parameters
    string pointer to array of single byte characters.
    length number of bytes in array.

References length_, and string_.

Author

Generated automatically by Doxygen for libemf from the source code.